import { ViewChild } from "@angular/core";
import { StyleSetDirective } from './style-set.directive';
import { BotService } from '../services/bot.service';
import { ComService } from '../services/com.service';
import { DEFAULT_OPTIONS } from '../interfaces/default-options';
import { StyleSetProp } from '../interfaces/style-set';
/**
 * Declares the WebChat property on the window object.
 */
declare global {
    interface Window {
        WebChat: any;
    }
}
export declare class BotDirective {
    private styleSetDir;
    private botService;
    private comService;
    viewChild: ViewChild;
    styleSet: StyleSetProp;
    styleOptions: DEFAULT_OPTIONS;
    secretSetting: boolean;
    secret: string;
    userId: string;
    webSocket: boolean;
    error: any;
    constructor(styleSetDir: StyleSetDirective, botService: BotService, comService: ComService);
    /**
    * botDirective initiates the botservice to retreive token or secret,
    * initiates renderWebChat and activates the directLine api.
    * set styles from styleSet and styleOptions properties
    * @viewChild is the only required parameter
    * Use the bot-helper for full access and control of directline webchat api
    */
    botDirective(viewChild: any): void;
    makeError(): void;
}
